package ink.wgink.module.activiti.pojo.dtos.oa;

/**
 * @ClassName: OaStartedInstanceDTO
 * @Description: OA已经启动实例
 * @Author: wanggeng
 * @Date: 2022/7/18 16:25
 * @Version: 1.0
 */
public class OaStartedInstanceDTO {

    private String deploymentId;
    private String processDefinitionId;
    private String processDefinitionKey;
    private String processDefinitionName;
    private Integer processDefinitionVersion;
    private String processInstanceId;
    private String startActivityId;
    private String startTime;
    private String endTime;
    private String startUserId;
    private String formCode;
    private Integer formVersion;
    private String reportUid;

    public String getDeploymentId() {
        return deploymentId == null ? "" : deploymentId.trim();
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId == null ? "" : processDefinitionId.trim();
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }

    public String getProcessDefinitionKey() {
        return processDefinitionKey == null ? "" : processDefinitionKey.trim();
    }

    public void setProcessDefinitionKey(String processDefinitionKey) {
        this.processDefinitionKey = processDefinitionKey;
    }

    public String getProcessDefinitionName() {
        return processDefinitionName == null ? "" : processDefinitionName.trim();
    }

    public void setProcessDefinitionName(String processDefinitionName) {
        this.processDefinitionName = processDefinitionName;
    }

    public Integer getProcessDefinitionVersion() {
        return processDefinitionVersion == null ? 0 : processDefinitionVersion;
    }

    public void setProcessDefinitionVersion(Integer processDefinitionVersion) {
        this.processDefinitionVersion = processDefinitionVersion;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getStartActivityId() {
        return startActivityId == null ? "" : startActivityId.trim();
    }

    public void setStartActivityId(String startActivityId) {
        this.startActivityId = startActivityId;
    }

    public String getStartTime() {
        return startTime == null ? "" : startTime.trim();
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime == null ? "" : endTime.trim();
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStartUserId() {
        return startUserId == null ? "" : startUserId.trim();
    }

    public void setStartUserId(String startUserId) {
        this.startUserId = startUserId;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }
}
